AOZ Studio Beta - Bug #396

Load IFF distorts the images loaded. It also gets the background color wrong sometimes.
06/20/2020 03:09 PM - Brian Flanagan

Status: Resolved Start date: 06/20/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 8:00 hours
Target version: Beta RC4

Affected version: Beta RC2

Description

Whatever IFF decoder we're using in Load IFF stretches the IFF images horizontally, and results in an image with many artifacts,
both horizontally and vertically. The attached image shows an accurate IFF graphic on the left (generated by Dalton Tulou's Quick
Look plugin for macOS),

compared to that generated by AOZ's Load IFF on the right.

I would highly recommend replacing whatever decoder we're using now with Matthias Wiesmann's IFF decoder, since it seems to be
the most comprehensive version so far: hitps://wiesmann.codiferes.net/wordpress/?page_id=17479 It's in JavaScript... under a
GPL3 public license.

It works with standard Color Palette, EHB, IFF, ILBM, HAM (including HAM-6 and HAM-8), SHAM, and RGB24 images, including
color cycling! From the examples on his website, it appears to be very accurate as well.

History

#1 - 06/20/2020 03:27 PM - Brian Flanagan
- File Screen Shot 2020-06-20 at 10.11.05 AM.png added
- File Screen Shot 2020-06-20 at 10.24.58 AM.png added

Sorry, forgot to attach the image.

#2 - 06/20/2020 04:01 PM - Brian Flanagan
- File Screen Shot 2020-06-20 at 10.58.14 AM.png added

- Subject changed from Load IFF distorts the images loaded. to Load IFF distorts the images loaded. It also gets the background color wrong
sometimes.

Besides the image distortion, it also gets the background color wrong simetimes.

#3 - 06/27/2020 03:26 PM - Brian Flanagan

| looked inside the guts of AOZ, and to my surprise, | found we are using Weismann's library.

All | can figure out is that there must be something wrong with how we're using it.

When | load the graphics with his demo, they are in the proper aspect. When | load them with AOZ, they're distorted.
I'll check and see if the incorrect background color is their problem or ours, and post an update here when | find out.
#4 - 06/27/2020 04:19 PM - Brian Flanagan

- Affected version changed from 0.9.9.2 to 0.9.9.3

| looked inside the guts of AOZ, and to my surprise, | found we are using Weismann's library.

All | can figure out is that there must be something wrong with how we're using it.

When | load the graphics with his demo, they are in the proper aspect. When | load them with AOZ, they're distorted.

I'll check and see if the incorrect background color is their problem or ours, and post an update here when | find out.
| also corrected the Affected version to 0.9.9.3 (test2).
https://wiesmann.codiferes.net/wordpress/?page_id=17479

#5 - 09/19/2020 01:33 PM - Brian Flanagan
- Estimated time set to 8:00 h
- Affected version changed from 0.9.9.3 to Beta RC2

Still a problem.

#6 - 10/07/2020 09:19 AM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to Beta RC4

Should be corrected. | was resizing the image to the size of the screen in case there was no indication of a screen to open.

Files

Screen Shot 2020-06-20 at 10.11.05 AM.png 36.9 KB 06/20/2020 Brian Flanagan
Screen Shot 2020-06-20 at 10.24.58 AM.png 51.8 KB 06/20/2020 Brian Flanagan
Screen Shot 2020-06-20 at 10.58.14 AM.png 69.7 KB 06/20/2020 Brian Flanagan
